{% macro element(content) %}
  <div class="{{ content.container|default('container') }}">
    <div class="card mb-4 {{content.style}} {{ content.textAlign|default('text-left') }}">
      {% if content.header %}
        <div class="card-header">
          {{ content.header }}
        </div>
      {% endif %}
      {% if content.picture_src %}
        <img src="{{content.picture_src}}" alt="{{content.title}}" class="card-img-top">
      {% endif %}
      <div class="card-body">
        {% if content.title %}
          <h2 class="card-title">{{content.title}}</h2>
        {% endif %}
        {{ caller() }}
        {% if content.ctaUrl and content.ctaText %}
          <a href="{{content.ctaUrl}}" class="btn {{ content.ctaStyle|default('btn-primary') }}">{{content.ctaText}}</a>
        {% endif %}
      </div>
      {% if content.footer %}
        <div class="card-footer">
          {{ content.footer }}
        </div>
      {% endif %}
    </div>
  </div>
{% endmacro %}
